### Function

# Dex socket_client_connect_to_service

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_socket_client_connect_to_service (
      GSocketClient* socket_client,
      const char* domain,
      const char* service
    )

#### Description [src]

Wraps `g_socket_client_connect_to_service_async()`.

Available since: 1.2

#### Parameters

`socket_client`

  Type: `GSocketClient`

  A `GSocketClient`.

  The data is owned by the caller of the function.

`domain`

  Type: `const char*`

  Domain to connect to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `const char*`

  Service to connect to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GSocketConnection` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.